package com.bjsxt.dao.impl;

import com.bjsxt.commons.JdbcUtils;
import com.bjsxt.dao.UserManagerDao;
import com.bjsxt.pojo.Users;
import com.mysql.jdbc.PreparedStatement;

import java.sql.Connection;

/**
 * 用户管理持久层
 */
public class UserManagerDaoImpl implements UserManagerDao {
    @Override
    public void insertUser(Users users) {
        Connection conn=null;
        try {
            conn= JdbcUtils.getConnection();
            conn.setAutoCommit(false);
            PreparedStatement ps= (PreparedStatement) conn.prepareStatement("insert into users values(default,?,?,?,?,?)");
            ps.setString(1,users.getUsername());
            ps.setString(2,users.getUserpwd());
            ps.setString(3,users.getUsersex());
            ps.setString(4,users.getPhongnumber());
            ps.setString(5,users.getQqnumber());
            conn.commit();
        }catch (Exception e){
            e.printStackTrace();
            JdbcUtils.rollbackConnection(conn);
        }finally {
            JdbcUtils.closeConnection(conn);
        }
    }
}
